package com.atlassian.bitbucket.permission;

public class AbstractEffectivePermissionVisitor<T> implements EffectivePermissionVisitor<T> {
    @Override
    public T visit(EffectiveGlobalPermission permission) {
        return null;
    }

    @Override
    public T visit(EffectiveRepositoryPermission permission) {
        return null;
    }

    @Override
    public T visit(EffectiveProjectPermission permission) {
        return null;
    }
}
